## com.lowagie.text.rtf.field
Class RtfTableOfContents

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.field.RtfField
              com.lowagie.text.rtf.field.RtfTableOfContents

All Implemented Interfaces:
  Element, RtfBasicElement, RtfElementInterface

    public class RtfTableOfContents

extends RtfField

The RtfTableOfContents together with multiple RtfTOCEntry objects generates a table of contents. The table of contents will display no entries in the viewing program and the user will have to update it first. A text to inform the user of this is displayed instead.

Version:
  $Id$
Author:
  Mark Hall (Mark.Hall@mail.room3b.eu), Steffen.Stundzig (Steffen.Stundzig@smb-tec.com), Thomas Bickel (tmb99@inode.at)

Field Summary
`private java.lang.String` `defaultText` The default text to display
`private static java.lang.String` `FIELD_INST` field inst content

Fields inherited from class com.lowagie.text.rtf.field.RtfField
`document`

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, CHAR_SPACING, COLOR, content, ENCODING, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SEPARATOR, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TAB, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

Constructor Summary
`RtfTableOfContents(java.lang.String defaultText)` Constructs a RtfTableOfContents.

Method Summary
`protected void` `writeFieldInstContent(java.io.OutputStream result)` Writes the field instruction content
`protected void` `writeFieldResultContent(java.io.OutputStream out)` Writes the field result content

Methods inherited from class com.lowagie.text.rtf.field.RtfField
`isEmpty, isFieldAlt, isFieldDirty, isFieldEdit, isFieldLocked, isFieldPrivate, isInHeader, isInTable, setFieldAlt, setFieldDirty, setFieldEdit, setFieldLocked, setFieldPrivate, setFont, setInHeader, setInTable, setRtfDocument, writeContent`

Methods inherited from class com.lowagie.text.Chunk

`append, getAttributes, getCharacterSpacing, getChunks, getContent, getFont, getHorizontalScaling, getHyphenation, getImage, getTextRise, getWidthPoint, hasAttributes, isContent, isNestable, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setCharacterSpacing, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FIELD_INST

    private static final java.lang.String FIELD_INST

  field inst content

  See Also:
    Constant Field Values

### defaultText

    private java.lang.String defaultText

  The default text to display

Constructor Detail

### RtfTableOfContents

    public RtfTableOfContents(java.lang.String defaultText)

  Constructs a RtfTableOfContents. The default text is the text that is displayed before the user updates the table of contents

  Parameters:
    `defaultText` - The default text to display

Method Detail

### writeFieldInstContent

    protected void writeFieldInstContent(java.io.OutputStream result)
                                  throws java.io.IOException

  Writes the field instruction content

  Specified by:
    `writeFieldInstContent` in class `RtfField`
  Parameters:
    `result` - The `OutputStream` to write to.
  Throws:
    `java.io.IOException` - on i/o errors.

### writeFieldResultContent

    protected void writeFieldResultContent(java.io.OutputStream out)
                                    throws java.io.IOException

  Writes the field result content

  Specified by:
    `writeFieldResultContent` in class `RtfField`
  Parameters:
    `out` - The `OutputStream` to write to.
  Throws:
    `java.io.IOException` - on i/o errors.

Hosted by Hostbasket